import { httpApp } from "@/plugins/axiosApp";
import { Task, CardData } from "@/types";

/** 查看单个学生的试卷轨迹 */
export async function getSingleStudentTaskOfStudentTrack(studentId: string) {
  return httpApp.post<Task>(
    "/api/admin/mark/track/getTask",
    {},
    { params: { studentId } }
  );
}
/** 查看单个学生的试卷的题卡 */
export async function getSingleStudentCardData(studentId: string) {
  return httpApp.post<CardData>(
    "/api/admin/mark/track/getCard",
    {},
    { params: { studentId } }
  );
}
